首页 > 新闻资讯 > 插件也“疯狂”

插件也“疯狂”

4条评论
标签:
更多

非常感谢插件制作者,他们为WordPress社区奉献了自己出色的作品,这也是WordPress能够取得发展的关键所在,他们是值得大家的尊敬的。话虽如此,一些插件却也会做些让用户们疯狂的事情…

自动停用

有那么一些插件,当你更新时,就会自动失效。但你却无法肯定到底是因为什么原因才会这样。可能是更新之后,它无法保存设置,默认情况下就是自动关闭,因此,一旦更新时就无效了。又或许是因为制作者想让用户进入到设置页面了解所有新的功能和选项。于是你只能放弃这款插件,去寻找新的能满足自己需要的插件。

破坏其他东西

通常来说,插件制作者都是比较考虑周全的,也知道插件的用户是非常广泛的,因此要尽量简单化。如果该插件太复杂,需要使用到外部文件或有涉及到与WordPress其他文件交互的情况,那么就需要在各种不同安装环境下进行不断测试以防止与其他流行的插件产生冲突。

如果对插件现有的功能进行改进,应该向用户解释清楚每一处修改以让用户明白在其他地方使用这些功能可能无法到达预期的效果,就算是非常简单的文件路径错误都可能会产生问题。

没有说明文件

所有的插件都应该包含一个介绍文件,用朴实的词语介绍为何创建这个插件以及这个插件期望能达到的目标是什么。除此之外,还应该包含安装和卸载的说明。 WordPress插件目录在插件页面的顶部还专门有一个“tabs”让插件制作者提交这些信息。同时,FAQ区域也同样重要,它也给插件制作者又一次介绍的机会。

下载完一个插件,却不知道怎么使用,或者出了问题不知道怎么办,这真是件非常郁闷的事。

嵌入不相关内容

插件制作者知道一些钩子(hooks)是大家都必定会用的,如wp_footer()。于是他们可能通过它强行添加一行文本,链接回制作者的网站。

迫使你注册订阅

有些插件需要用户提交对制作者邮件的订阅,然后才能通过邮件激活插件。于是使用这些插件的人就这样莫名其妙“被订阅”。你会相信这些通讯邮件不会经常骚扰到你,都是重要的信息吗?当然不可能,它会一直骚扰你,不断地给你发送各种没完没了的提议。

不更新

WordPress不断更新,用户的需求也在不断发生改变,因此插件也应该更新。就算是非常简单的插件没必要不停地发布不同版本,但是还是有必要在介绍文件上说明该插件与WordPress最新版本兼容。

没有更新日志

插件更新时应该附上最基本的文本向用户解释清楚,更改了什么,为何需要更改。如果制作者没有说明白究竟做了哪些修改,可能会影响到用户的使用。

原文:Rude Things Plugins Can Do

* 版权声明:作者WordPress啦! 转载请注明出处。

#1
经常因为插件造成一些问题 几多欢喜几多愁啊
#2
这样说来,还是ZB更好用呀~
#3
WordPress的插件确实是个问题,有些还有冲突。
#4
不玩插件了